it-swarm.com.de

SyncFailed-Fehler: Ursache: org/jetbrains/plugins/gradle/tooling/ModelBuilderService

Ich habe ein Projekt, das ich in Android Studio öffnen möchte. Beim Importieren des Projekts erhalte ich jedoch eine Fehlermeldung

Fehler: Ursache: org/jetbrains/plugins/gradle/tooling/ModelBuilderService

Ich habe bei Google gesucht und festgestellt, dass dies ein häufiges Problem unter Windows ist. Alle angebotenen Lösungen sind jedoch:

  1. .gradle löschen.
  2. Invalidate Cache/Restart von File in Android Studio.
  3. Löschen Sie Debug-Ordner und -Dateien.

Hier ist, was ich zusätzlich zu der obigen Liste versucht habe.

  1. Neuinstalliertes Android Studio.
  2. Android Studio-Einstellungen wurden manuell aus C:/Users/<username>/.Android<> alten Verzeichnissen gelöscht.
  3. Ordner %temp% gelöscht.

Dieses Projekt funktioniert gut auf allen PCs mit Android Studio außer diesem.

10
Abbas

Das Problem wurde also gelöst, indem der .gradle-Ordner gelöscht wurde. Leider wurde in keiner der Antworten, auf die ich mich bezog, beschrieben, welchen .gradle-Ordner ich löschen wollte.

Was ich getan habe, war, den Ordner .gradle in der Projektstruktur zu löschen. Stattdessen müssen Sie den Ordner .gradle inC:/Users/<username>/.gradlelöschen.

12
Abbas

Hier ist eine sehr einfache Lösung, öffnen Sie die Datei gradle-wrapper.properties in Ihrem Projekt und ändern Sie Ihre distributionUrl, indem Sie sie herunterstufen oder aktualisieren.

Wenn Sie beispielsweise mit Gradle 5.1 Probleme haben, können Sie auf 4.9 herunterstufen

distributionUrl = https: //services.gradle.org/distributions/gradle-4.9-all.Zip

 enter image description here

1
inspiredMichael

Ich hatte auch dieses Problem mit Android Studio 3.1.1), das durch Löschen des neuesten Gradle (für mich 5.1.1) im Ordner .gradle Behoben wurde. Ich muss erwähnen, dass gradle 5.1.1 Ist nicht kompatibel mit 3.2 und älter

0
Mohsen Hrt

Aktualisieren Sie IDE auf eine aktualisierte Version und entfernen Sie sie als Versionen, die in Android Studio nicht verfügbar sind, z. B. AndroidStudio2.1 in C:\Benutzer \

0
Bacar Pereira

Ihr Android Studio muss die neueste Version 3.4 oder höher sein.

Und Gradle-Datei sollte sein:

distributionBase = GRADLE_USER_HOME

distributionPath = wrapper/dists

zipStoreBase = GRADLE_USER_HOME

zipStorePath = wrapper/dists

distributionUrl = https://services.gradle.org/distributions/gradle-5.4.1-all.Zip

Dieser Fehler tritt auf, wenn Sie Android Studio 3.4 Version verwenden.

0
Pinak Gauswami

Sie können die folgenden Schritte versuchen:

  • Schließen Sie Android Studio
  • Umbenennen des .gradle-Ordners
  • Projekt erneut öffnen

Danach lädt Android Studio automatisch den .gradle-Ordner herunter

0
Yernar